Subject: Re: cygrunsrv does not start sshd in 1 out of 40 installs
From: "Lassi A. Tuura" <[email-masked]>
To: "Hildenbrand, Patrick" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 13 Feb 2002 15:05:30 +0100

> Now anybody some hints on what might happen there ? Anything I could try to
> nail down the problem ?

Try running cygrunsrv under strace (as the service).  I did this once by
hacking around the registry, it wasn't too hard, though I don't remember
exactly what I did.  Remember that strace takes as arguments windows
paths and doesn't say much if it fails to execute the program.  And that
you'll want the output to go to a file.

Go to HKLM\SYSTEM\CurrentControlSet\Services\sshd
 - Change ImagePath to full (windows) path to strace.exe
 - Change Parameters\AppPath to and Parameters\AppArgs appropriately
   (I don't remember what I did to separate the args for cygrunsrv
   from those to sshd, if anything)

Usual caveats apply -- hacking around the registry may lobotomise the
system.

//lat
-- 
Real programmers don't document.  Documentation is for simps who
can't read the listings or the object deck.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/